# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/qcom,sdm845-refgen-regulator.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Technologies, Inc. REFGEN Regulator

maintainers:
  - Konrad Dybcio <konradybcio@kernel.org>

description:
  The REFGEN (reference voltage generator) regulator provides reference
  voltage for on-chip IPs (like PHYs) on some Qualcomm SoCs.

allOf:
  - $ref: regulator.yaml#

properties:
  compatible:
    oneOf:
      - items:
          - enum:
              - qcom,sc7180-refgen-regulator
              - qcom,sc8180x-refgen-regulator
              - qcom,sdm670-refgen-regulator
              - qcom,sm8150-refgen-regulator
          - const: qcom,sdm845-refgen-regulator

      - items:
          - enum:
              - qcom,qcs8300-refgen-regulator
              - qcom,sa8775p-refgen-regulator
              - qcom,sc7280-refgen-regulator
              - qcom,sc8280xp-refgen-regulator
              - qcom,sm6350-refgen-regulator
              - qcom,sm6375-refgen-regulator
              - qcom,sm8350-refgen-regulator
          - const: qcom,sm8250-refgen-regulator

      - enum:
          - qcom,sdm845-refgen-regulator
          - qcom,sm8250-refgen-regulator

  reg:
    maxItems: 1

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    regulator@162f000 {
      compatible = "qcom,sm8250-refgen-regulator";
      reg = <0x0162f000 0x84>;
    };
...
